Bug 525817 - alsa-ng output plugin causes sound crackling and buffer underruns
Summary: alsa-ng output plugin causes sound crackling and buffer underruns
Keywords:
Status: CLOSED DUPLICATE of bug 524007
Alias: None
Product: Fedora
Classification: Fedora
Component: audacious-plugins
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-25 21:27 UTC by Ademar Reis
Modified: 2009-12-04 19:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-04 19:28:56 UTC


Attachments (Terms of Use)
pulseaudio log of audacious (output=alsa) running (71.16 KB, text/plain)
2009-09-28 01:21 UTC, Ademar Reis
no flags Details

Description Ademar Reis 2009-09-25 21:27:46 UTC
Using the latest audacious-plugins package (audacious-plugins-1.5.1-10.fc10.i386) it's impossible to use audacious while the CPU/disk has some activity. The sound skeep crackling and the following can be seen in the pulseaduio -vv log:

...
I: module-alsa-sink.c: Underrun!
I: module-alsa-sink.c: Underrun!
I: module-alsa-sink.c: Underrun!
I: module-alsa-sink.c: Underrun!
I: module-alsa-sink.c: Underrun!
D: module-alsa-sink.c: Wakeup from ALSA! OUTPUT
I: module-alsa-sink.c: Underrun!
D: module-alsa-sink.c: Wakeup from ALSA! OUTPUT
E: module-alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write! Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers.
I: module-alsa-sink.c: Underrun!
I: module-alsa-sink.c: Underrun!
I: module-alsa-sink.c: Underrun!
I: module-alsa-sink.c: Underrun!
I: module-alsa-sink.c: Underrun!
I: module-alsa-sink.c: Underrun!
I: module-alsa-sink.c: Underrun!
I: module-alsa-sink.c: Underrun!
...

I tested with .wav files and also using third-party plugins for .mp3. In both cases the result is the same. I also tested several combinations of different audacious and audacious-plugins package versions and the bug is triggered only after the audacious-plugins update package is installed.

How to reproduce:
Play some music with audacious
run make -j3 in a reasonable project

$ rpm -q audacious-plugins audacious alsa-lib pulseaudio kernel
audacious-plugins-1.5.1-10.fc10.i386
audacious-1.5.1-9.fc10.i386
alsa-lib-1.0.21-2.fc10.i386
pulseaudio-0.9.14-3.fc10.i386
kernel-2.6.27.30-170.2.82.fc10.i686

$ lspci -v
...
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
        Subsystem: Lenovo ThinkPad T61
        Flags: bus master, fast devsel, latency 0, IRQ 17
        Memory at fe220000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: HDA Intel
        Kernel modules: snd-hda-intel
...

Comment 1 Michael Schwendt 2009-09-26 07:56:02 UTC
Please enable updates-testing and update audacious-plugins to:
https://admin.fedoraproject.org/updates/F10/FEDORA-2009-9848

Alternatively, configure Audacious to use the PulseAudio output plugin.

For the background, see: bug 516649 comment 13

Comment 2 Ademar Reis 2009-09-28 01:18:36 UTC
The same problem happens with the new package. I'll attach the full output of pulseaudio -vv

As a side note, after changing the output plugin to pulseaudio everything works as expected (tested only the official update, I didn't perform this particular test with the updates-testing package).

Comment 3 Ademar Reis 2009-09-28 01:21:26 UTC
Created attachment 362838 [details]
pulseaudio log of audacious (output=alsa) running

The sound cranclink (alsa underruns in the log) increase dramatically as I use the cpu/disk (e.g.: make -j3 on a big project).

Comment 4 Michael Schwendt 2009-09-28 08:39:02 UTC
Then stick to the PulseAudio plugin for now.

Comment 5 Bug Zapper 2009-11-18 12:15:40 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Michael Schwendt 2009-12-04 19:28:56 UTC

*** This bug has been marked as a duplicate of bug 524007 ***


Note You need to log in before you can comment on or make changes to this bug.